For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSearch Transactions
      • GETGet Invoices
      • GETGet Transactions by Invoice ID
      • GETGet Transaction Fees
    • OpenAPI spec
LogoLogo
API ReferenceBilling

Get Transaction Fees

||View as Markdown|
GET
/2026-01/transaction-fees
GET
/2026-01/transaction-fees
$curl https://api.shipbob.com/2026-01/transaction-fees \
> -H "Authorization: Bearer <token>"
1{
2 "fee_list": [
3 "Shipping",
4 "Warehousing Fee",
5 "WRO Receiving Fee",
6 "Per Pick Fee",
7 "Affiliate",
8 "Others",
9 "Implementation Onboarding",
10 "URO Storage Fee",
11 "Package Intercept",
12 "Freight",
13 "Address Change",
14 "Return Label",
15 "Credit Reversal",
16 "Return Processed by Operations Fee",
17 "International Duties",
18 "GST/HST Tax",
19 "Return to sender - Processing Fees",
20 "Custom Pick Fees",
21 "Fragile Item",
22 "Serial Scan",
23 "Return Fee",
24 "VAS - Paid Requests",
25 "Shipper Manager",
26 "Merchant Success Specialist",
27 "WRO Label Fee",
28 "Gift Note Fee",
29 "International Taxes",
30 "Additonal Import Tax",
31 "Hazmat",
32 "Shipping Charge Correction",
33 "Account Closure Fee",
34 "Additional Billing Fees",
35 "Inventory Placement Program Fee",
36 "Address Correction",
37 "Credit Card Processing Fee",
38 "Kitting Fee",
39 "Delivery Area Surcharge",
40 "Minimum Fulfillment Fee",
41 "Long Term Storage Fee",
42 "Integration Services",
43 "Breakdown Case Fee",
44 "Residential Surcharge",
45 "Write Off",
46 "Custom Routing Fee",
47 "International Duties-Inbound",
48 "B2B - Label Fee",
49 "B2B - Cancellation Fee",
50 "B2B - Rush",
51 "B2B - Supplies",
52 "B2B - Disposal Fee",
53 "B2B - Order Fee",
54 "B2B - Each Pick Fee",
55 "B2B - Case Pick Fee",
56 "B2B - Pallet Pick Fee",
57 "B2B - Pallet Pack Fee",
58 "B2B - Pallet Material Charge",
59 "B2B - ShipBob Freight Fee",
60 "B2B - Fulfilment Fees",
61 "B2B - ASIN Fee",
62 "WMS Equipment Fees",
63 "WMS Monthly Fees",
64 "WMS Installation Fees",
65 "WMS - Fuel Surcharge",
66 "ITO - Rush",
67 "ITO - Supplies",
68 "ITO - Order Fee",
69 "ITO - Each Pick Fee",
70 "ITO - Case Pick Fee",
71 "ITO - Pallet Pick Fee",
72 "ITO - Pallet Pack Fee",
73 "ITO - ShipBob Freight Fee",
74 "B2B - Labor",
75 "Packaging Fee",
76 "Custom Packaging Pick Fee",
77 "Marketing Insert Pick Fee",
78 "Premium Gift Note",
79 "Standard Marketing Insert",
80 "Fully Customizable Gift Note",
81 "Fully Customizable Marketing Insert (4x6)",
82 "Fully Customizable Marketing Insert (8x6)",
83 "Fully Customizable Gift Note - Monthly",
84 "Fully Customizable Marketing Insert - Monthly",
85 "Custom Doc Printer Purchase Fee - WMS Merchants",
86 "FlavorCloud Service Fee",
87 "B2C order processing fee",
88 "Shipbob Freight Fee - Accessorial",
89 "EDI Connection Fee",
90 "Return Item Processing Fee"
91 ]
92}
This endpoint returns a list of transaction fees
Was this page helpful?
Previous

Get Transactions by Invoice ID

Next

Get Tracking by Shipment Ids

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Response

Success
fee_listlist of enums or null
Available transaction fee types for billing operations.

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error